Jump to: navigation, search

Difference between revisions of "PDT/Installation 3.1.x"

< PDT
 
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
= PDT 3.1.x / Juno (Eclipse 4.2/3.8) =
+
= NOTE THAT THIS PAGE IS OUT OF DATE  =
  
== Install Eclipse ==
+
This is a historical page and it is outdated. Do not follow any instructions in this page.
 +
 
 +
<br>
 +
 
 +
= PDT 3.1.x / Juno (Eclipse 4.2/3.8)  =
 +
 
 +
== Install Eclipse ==
  
 
#Download Eclipse Classic 4.2 from [http://www.eclipse.org/downloads/ Eclipse Downloads].  
 
#Download Eclipse Classic 4.2 from [http://www.eclipse.org/downloads/ Eclipse Downloads].  
Line 11: Line 17:
 
#Start eclipse and create new workspace.
 
#Start eclipse and create new workspace.
  
== Install PDT 3.1.1 Nightly ==
+
== Install PDT 3.1.1 Nightly ==
  
'''PDT 3.1 was not released in spite of [https://bugs.eclipse.org/bugs/attachment.cgi?id=216929 PHP Development Tools 3.1 Release Review].'''<br> Since PDT in Juno repository is same as old one in Indigo repository, you need to install PDT from nightly update site. It is not a formal update site, so following description will become outdated anytime in future. Be carefully.
+
PDT 3.1.1 is currently under development and will be released on 28 September, 2012. You can still give it a try to see daily progress in PDT, if you're waiting for specific bugs to be fixed, or you simply like living on the edge! Follow this steps to install it:
  
 
#Open Help-&gt;Install New Software.  
 
#Open Help-&gt;Install New Software.  
Line 23: Line 29:
 
#Proceed according to screens.
 
#Proceed according to screens.
  
== Install Eclipse Web Developer Tools ==
+
== Install Eclipse Web Developer Tools ==
  
Don't forget this process.  
+
Don't forget this process. '''This is a workaround for the bug of PDT.'''
  
 
#Open Help-&gt;Install New Software.  
 
#Open Help-&gt;Install New Software.  
Line 34: Line 40:
 
#Proceed according to screens.
 
#Proceed according to screens.
  
== Appendix ==
+
== Appendix ==
  
=== Update from PDT 3.0.0 ===
+
=== Update from PDT 3.0.0 ===
  
 
If you installed PDT 3.0.0.v201201110400 already from Juno repository, you need to have a bit different steps as below.  
 
If you installed PDT 3.0.0.v201201110400 already from Juno repository, you need to have a bit different steps as below.  
Line 48: Line 54:
 
#Proceed according to screens.
 
#Proceed according to screens.
  
=== Update from 3.1.1.v201207110312 ===
+
=== Update from 3.1.1.v201207110312 ===
 +
 
 +
If you had installed 3.1.1.v201207110312 from nightly update site or pdt-Update-N201207110312.zip, you need to...
 +
 
 +
#Open 'Resource' perspective and close all other perspectives.
 +
#Uninstall 3.1.1.v201207110312.
 +
#Install new version as described above("Install PDT 3.1.1 Nightly").
 +
 
 +
=== Known issues on Eclipse 4.2  ===
 +
 
 +
There are several problems on Eclipse 4.2. If you want to avoid them, use Eclipse 3.8(latest version of 3.x stream, not older than 4.2) instead of 4.2.
 +
 
 +
==== Massive performance problem  ====
  
If you had installed 3.1.1.v201207110312 from nightly update site or pdt-Update-N201207110312.zip, you need to...
+
[https://bugs.eclipse.org/bugs/show_bug.cgi?id=384916 Bug 384916 - Switching between tabs is very slow] (note that zend does not fix this bug)<br> [https://bugs.eclipse.org/bugs/show_bug.cgi?id=359059 Bug 359059 - [Commands] [Compatibility] Undefined context error when restarting with a PHP file open]
# Open 'Resource' perspective and close all other perspectives.
+
# Uninstall 3.1.1.v201207110312.
+
# Install new version as described above("Install PDT 3.1.1 Nightly").
+
  
=== Known issues ===
+
:Workaround on 4.2: (choose 1 or 2)
 +
:#Install "Eclipse Web Developer Tools".
 +
:#Start eclipse with any perspective except PHP. (e.g. Resource perspective)
  
<!--
+
See also<br> [https://bugs.eclipse.org/bugs/show_bug.cgi?id=385272 Bug 385272 – Very slow response after upgrade to Juno Release]
==== ver. 3.1.1.201207131208 ====
+
* New Project Wizard(right-click on PHP Explorer->New->Project) is broken.<br>=> Use main menu/File->New->Project.
+
* PHP Explorer->New->PHP Project is lost. Some other items as well.
+
-->
+
  
 +
==== Toggle Comment doesn't work in some situations  ====
  
[[Category:PDT]]
+
[https://bugs.eclipse.org/bugs/show_bug.cgi?id=386879 Bug 386879 - Comment toggle (CTRL-/) doesn't work properly]

Latest revision as of 03:58, 13 April 2013

NOTE THAT THIS PAGE IS OUT OF DATE

This is a historical page and it is outdated. Do not follow any instructions in this page.


PDT 3.1.x / Juno (Eclipse 4.2/3.8)

Install Eclipse

  1. Download Eclipse Classic 4.2 from Eclipse Downloads.
  2. Extract it.
    • (windows) Never install under "Program Files" nor "Program Files (x86)"
  3. Start eclipse and create new workspace.

Install PDT 3.1.1 Nightly

PDT 3.1.1 is currently under development and will be released on 28 September, 2012. You can still give it a try to see daily progress in PDT, if you're waiting for specific bugs to be fixed, or you simply like living on the edge! Follow this steps to install it:

  1. Open Help->Install New Software.
  2. Input http://download.eclipse.org/tools/pdt/updates/3.1.1/nightly in 'Work with' combo-box and click 'Add'.
  3. Click 'OK' on 'Add Repository' dialog.
  4. Wait until contents will appear.
  5. Expand 'PHP Development Tools'.
  6. Check 'PHP Development Tools (PDT) Runtime Feature' on and click 'Next'.
    Screenshot2012-07-18 2038.png
  7. Proceed according to screens.

Install Eclipse Web Developer Tools

Don't forget this process. This is a workaround for the bug of PDT.

  1. Open Help->Install New Software.
  2. Select 'Juno - http://download.eclipse.org/releases/juno' in 'Work with' combo-box.
  3. Wait until contents will appear.
  4. Expand 'Web, XML, Java EE and OSGi Enterprise Development'.
  5. Check 'Eclipse Web Developer Tools' on and click 'Next'.
    Screenshot2012-07-18 2040.png
  6. Proceed according to screens.

Appendix

Update from PDT 3.0.0

If you installed PDT 3.0.0.v201201110400 already from Juno repository, you need to have a bit different steps as below.

  1. Open Help->Install New Software.
  2. Input http://download.eclipse.org/tools/pdt/updates/3.1.1/nightly in 'Work with' combo-box and click 'Add'.
  3. Click 'OK' on 'Add Repository' dialog.
  4. Wait until contents will appear.
  5. Expand 'Uncategorized'.
  6. Check 'PHP Development Tools (PDT) SDK Feature' on and click 'Next'.
    Screenshot2012-07-18 2045.png
  7. Proceed according to screens.

Update from 3.1.1.v201207110312

If you had installed 3.1.1.v201207110312 from nightly update site or pdt-Update-N201207110312.zip, you need to...

  1. Open 'Resource' perspective and close all other perspectives.
  2. Uninstall 3.1.1.v201207110312.
  3. Install new version as described above("Install PDT 3.1.1 Nightly").

Known issues on Eclipse 4.2

There are several problems on Eclipse 4.2. If you want to avoid them, use Eclipse 3.8(latest version of 3.x stream, not older than 4.2) instead of 4.2.

Massive performance problem

Bug 384916 - Switching between tabs is very slow (note that zend does not fix this bug)
Bug 359059 - [Commands [Compatibility] Undefined context error when restarting with a PHP file open]

Workaround on 4.2: (choose 1 or 2)
  1. Install "Eclipse Web Developer Tools".
  2. Start eclipse with any perspective except PHP. (e.g. Resource perspective)

See also
Bug 385272 – Very slow response after upgrade to Juno Release

Toggle Comment doesn't work in some situations

Bug 386879 - Comment toggle (CTRL-/) doesn't work properly